Skip to main content
POST
Create External Tickets

Authorizations

Authorization
string
header
required

Get access to data with your API token. Example header:

Authorization: Bearer 2991e2fb4b540fe75b8f90677b0b892b6314e4961cb001fe6eb452eee248a628

The token can be provisioned from the Tokens section in your Settings, and requires explicitly enabling Web API access.

Path Parameters

deploymentId
integer<int64>
required

The unique numerical identifier of the deployment associated with the finding. Can be found via the Deployments Service or in your Settings in the web UI.

Example:

1234

ticketingInstanceId
integer<int64>
required

The unique numerical identifier of the ticketing instance. Can be found via the Get External Ticketing Instances endpoint.

Example:

5678

Body

application/json

NangoCreateTickets

groupIssues
boolean
default:true

Whether to group issues from the same rule and repository into a single ticket.

projectId
string

Optionally specify which Jira project the ticket should be created in. If not specified, the default project configured in your integration settings will be used.

issueIds
integer<int32>[]
issueType
enum<string>
valuedescription
ISSUE_TYPE_SASTDetected by Code rules
ISSUE_TYPE_SCADetected by Supply Chain rules
ISSUE_TYPE_SECRETSDetected by Secrets rules
ISSUE_TYPE_RESEARCHDetected by research rules or scanners
ISSUE_TYPE_AI_SASTDetected by AI detection code scanning
Available options:
ISSUE_TYPE_SAST,
ISSUE_TYPE_SCA,
ISSUE_TYPE_SECRETS,
ISSUE_TYPE_RESEARCH,
ISSUE_TYPE_AI_SAST
issueFilters
object

Response

200 - application/json

OK

succeeded
object[]
failed
object[]
skipped
object[]